Skip to content
SENS Platform Docs

Atomically activate or roll back to a released flow version.

PUT
/v1/flows/{flowId}/active-version
curl --request PUT \
--url https://api.dev.iot-sens.schlossers.at/v1/flows/2489E9AD-2EE2-8E00-8EC9-32D5F69181C0/active-version \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '{ "flowVersionId": "2489E9AD-2EE2-8E00-8EC9-32D5F69181C0", "expectedActiveVersionId": "2489E9AD-2EE2-8E00-8EC9-32D5F69181C0" }'
flowId
required
string format: uuid
Media typeapplication/json
object
flowVersionId
required
string format: uuid
expectedActiveVersionId
required
One of:
string format: uuid
Examplegenerated
{
"flowVersionId": "2489E9AD-2EE2-8E00-8EC9-32D5F69181C0",
"expectedActiveVersionId": "2489E9AD-2EE2-8E00-8EC9-32D5F69181C0"
}

Flow with updated active pointer.

A safe platform error response.

Media typeapplication/json
object
error
required
object
code
required
string
Allowed values: VALIDATION_FAILED AUTHENTICATION_FAILED AUTHORIZATION_FAILED RESOURCE_NOT_FOUND CONFLICT DEPENDENCY_FAILURE FLOW_FAILURE RATE_LIMITED INTERNAL_ERROR
category
required
string
Allowed values: validation authentication authorization not_found conflict dependency_failure flow_failure rate_limit internal
message
required

Safe client-facing diagnostic message.

string
correlationId
required

Correlation ID for operational investigation.

string
>= 1 characters
details

Safe bounded diagnostic details.

object
key
additional properties
One of:
string
Example
{
"error": {
"code": "VALIDATION_FAILED",
"category": "validation"
}
}
Cache-Control
string
Allowed value: no-store